org.apache.xml.dtm.ref

## Class DTMDefaultBaseTraversers

- java.lang.Object
- - org.apache.xml.dtm.ref.DTMDefaultBase
  - - org.apache.xml.dtm.ref.DTMDefaultBaseTraversers

- All Implemented Interfaces:
    DTM
  Direct Known Subclasses:
    DTMDefaultBaseIterators

      public abstract class DTMDefaultBaseTraversers
      extends DTMDefaultBase

  This class implements the traversers for DTMDefaultBase. PLEASE NOTE that the public interface for all traversers should be in terms of DTM Node Handles... but they may use the internal node identity indices within their logic, for efficiency's sake. Be very careful to avoid confusing these when maintaining this code.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xml.dtm.ref.DTMDefaultBase

      `DEFAULT_BLOCKSIZE, DEFAULT_NUMBLOCKS, DEFAULT_NUMBLOCKS_SMALL, m_mgr, ROOTNODE`

    - ### Fields inherited from interface org.apache.xml.dtm.DTM

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NAMESPACE_NODE, NOTATION_NODE, NTYPES, NULL, PROCESSING_INSTRUCTION_NODE, ROOT_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DTMDefaultBaseTraversers(DTMManager mgr, javax.xml.transform.Source source, int dtmIdentity, DTMWSFilter whiteSpaceFilter, XMLStringFactory xstringfactory, boolean doIndexing)` Construct a DTMDefaultBaseTraversers object from a DOM node.
    `DTMDefaultBaseTraversers(DTMManager mgr, javax.xml.transform.Source source, int dtmIdentity, DTMWSFilter whiteSpaceFilter, XMLStringFactory xstringfactory, boolean doIndexing, int blocksize, boolean usePrevsib, boolean newNameTable)` Construct a DTMDefaultBaseTraversers object from a DOM node.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DTMAxisTraverser` | `getAxisTraverser(int axis)` This returns a stateless "traverser", that can navigate over an XPath axis, though perhaps not in document order.

    - ### Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBase

      `appendChild, appendTextChild, dispatchCharactersEvents, dispatchToEvents, documentRegistration, documentRelease, dumpDTM, dumpNode, getAttributeNode, getDocument, getDocumentAllDeclarationsProcessed, getDocumentBaseURI, getDocumentEncoding, getDocumentRoot, getDocumentStandalone, getDocumentSystemIdentifier, getDocumentTypeDeclarationPublicIdentifier, getDocumentTypeDeclarationSystemIdentifier, getDocumentVersion, getDTMIDs, getElementById, getExpandedTypeID, getExpandedTypeID, getFirstAttribute, getFirstChild, getFirstNamespaceNode, getLastChild, getLevel, getLocalName, getLocalNameFromExpandedNameID, getManager, getNamespaceFromExpandedNameID, getNamespaceType, getNamespaceURI, getNextAttribute, getNextNamespaceNode, getNextSibling, getNode, getNodeHandle, getNodeIdent, getNodeName, getNodeNameX, getNodeType, getNodeValue, getOwnerDocument, getParent, getPrefix, getPreviousSibling, getStringValue, getStringValueChunk, getStringValueChunkCount, getTypedFirstChild, getTypedNextSibling, getUnparsedEntityURI, hasChildNodes, isAttributeSpecified, isCharacterElementContentWhitespace, isDocumentAllDeclarationsProcessed, isNodeAfter, isSupported, makeNodeHandle, makeNodeIdentity, migrateTo, setDocumentBaseURI, setFeature, supportsPreStripping`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xml.dtm.DTM

      `getAxisIterator, getContentHandler, getDeclHandler, getDTDHandler, getEntityResolver, getErrorHandler, getLexicalHandler, getSourceLocatorFor, getTypedAxisIterator, needsTwoThreads, setProperty`

- - ### Constructor Detail

    - #### DTMDefaultBaseTraversers

          public DTMDefaultBaseTraversers(DTMManager mgr,
                                          javax.xml.transform.Source source,
                                          int dtmIdentity,
                                          DTMWSFilter whiteSpaceFilter,
                                          XMLStringFactory xstringfactory,
                                          boolean doIndexing)

      Construct a DTMDefaultBaseTraversers object from a DOM node.
      Parameters:
        `mgr` - The DTMManager who owns this DTM.
        `source` - The object that is used to specify the construction source.
        `dtmIdentity` - The DTM identity ID for this DTM.
        `whiteSpaceFilter` - The white space filter for this DTM, which may be null.
        `xstringfactory` - The factory to use for creating XMLStrings.
        `doIndexing` - true if the caller considers it worth it to use indexing schemes.

    - #### DTMDefaultBaseTraversers

          public DTMDefaultBaseTraversers(DTMManager mgr,
                                          javax.xml.transform.Source source,
                                          int dtmIdentity,
                                          DTMWSFilter whiteSpaceFilter,
                                          XMLStringFactory xstringfactory,
                                          boolean doIndexing,
                                          int blocksize,
                                          boolean usePrevsib,
                                          boolean newNameTable)

      Construct a DTMDefaultBaseTraversers object from a DOM node.
      Parameters:
        `mgr` - The DTMManager who owns this DTM.
        `source` - The object that is used to specify the construction source.
        `dtmIdentity` - The DTM identity ID for this DTM.
        `whiteSpaceFilter` - The white space filter for this DTM, which may be null.
        `xstringfactory` - The factory to use for creating XMLStrings.
        `doIndexing` - true if the caller considers it worth it to use indexing schemes.
        `blocksize` - The block size of the DTM.
        `usePrevsib` - true if we want to build the previous sibling node array.
        `newNameTable` - true if we want to use a new ExpandedNameTable for this DTM.

  - ### Method Detail

    - #### getAxisTraverser

          public DTMAxisTraverser getAxisTraverser(int axis)

      This returns a stateless "traverser", that can navigate over an XPath axis, though perhaps not in document order.
      Parameters:
        `axis` - One of Axes.ANCESTORORSELF, etc.
      Returns:
        A DTMAxisTraverser, or null if the given axis isn't supported.

Copyright © 2023 Apache XML Project. All Rights Reserved.